Invalid record in the preferences file, no Package header!


#1

lorsque j’essaie d’installer via apt-get
j’ai ce message que puis-je faire
voici mes fichiers

**********************/etc/apt/preferences

Package: *
Pin: release o=AGNULA, a=stable
Pin-Priority: 10

Package: *
Pin: release o=Debian, a=stable
Pin-Priority: 990

Package: *
Pin: release a=stable
Pin-Priority: 990

Package: *
Pin: release a=apt-build
Pin-Priority: 990

Package: *
Pin: release a=testing
Pin-Priority: 66

Package: *
Pin: release a=unstable
Pin-Priority: 33

#Package: *
#Pin: release a=experimental
#Pin-Priority: 15

**************************************/etc/apt/sources.list

il y a bien sur les cdroms…

CDROMs are managed through the apt-cdrom tool.

deb http.us.debian.org/debian stable main contrib non-free
deb non-us.debian.org/debian-non-US stable/non-US main contrib non-free

Uncomment if you want the apt-get source function to work

deb-src http.us.debian.org/debian stable main contrib non-free
deb-src non-us.debian.org/debian-non-US stable non-US

#oldstable
deb security.debian.org oldstable/updates main contrib non-free

#stable
deb security.debian.org stable/updates main contrib non-free
deb ftp.fr.debian.org/debian-non-US stable/non-US main contrib non-free
deb ftp.fr.debian.org/debian stable main contrib non-free

#testing
deb security.debian.org testing/updates main contrib non-free
deb ftp.fr.debian.org/debian-non-US testing/non-US main contrib non-free
deb ftp.fr.debian.org/debian testing main contrib non-free

#UNSTABLE
deb ftp.fr.debian.org/debian-non-US unstable/non-US main contrib non-free
deb ftp.fr.debian.org/debian unstable main contrib non-free

**********************/etc/apt/apt.conf

//apt.conf free2.org GPL

// man apt.conf

//la ligne suivante donne une priorité de 990 à stable, elle est inutile voir nuisibl
e si
//vous mettez stable avec 995 dans preferences, laissez la en commentaire donc
//APT::Default-Release “stable”;

// ligne suivante pour que apt-get autoclean n’efface pas de /var/cache/apt/archives
les paquets installés actuellement
APT::Clean-Installed “false”;

//surtout pour ceux qui ont un modem lent
//APT::Get::List-Cleanup “false”;
//on peut alors changer de sources.list et faire un apt-get update sans avoir toutes
les listes à retélécharger

//on peut essayer et augmenter la valeur suivante en cas de probleme de mmap (memoire
allouée aux sources insuffisante)
APT::Cache-Limit “10000000”;

// si vous devez utiliser un proxy
//Acquire::http::Proxy “http://127.0.0.1:3128”;

//nombre d’essais en cas d’échec d’un téléchargement
Acquire::Retries “5”;

j’ai aussi deux binaires dans mon /etc/apt/ qui sont:
apt-check-sigs
upgrade

ainsi qu’un dossier nomme apt.conf.d contenant : 70debconf

***************************************le voila:

// Pre-configure all packages with debconf before they are installed.
// If you don’t like it, comment it out.
DPkg::Pre-Install-Pkgs {"/usr/sbin/dpkg-preconfigure --apt || true";};

voila , s’il manque quelque chose je suis a votre disposition
merci d’avance pour votre aide
philippe


#2

moi dans mon dossier apt je n’ai que ma sources.list

et dedans j’ai que ce ftp d’actif :

deb ftp://ftp.u-picardie.fr/mirror/debian testing main non-free contrib

ma bon suis en testing


#3

et on peut trouver tous les packages qu’on desire avec cette adresse ?
audacity - demudi - traitement audio …
bon j’avoue que mon sources.list est un peu …fouillis :slightly_smiling:
philippe